Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.files.dev
Enum FileMetadata.LockState

    java.lang.Object
      java.lang.Enum<FileMetadata.LockState>
          com.google.appengine.api.files.dev.FileMetadata.LockState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileMetadata.LockState>

Enclosing class:
  FileMetadata

    public static enum FileMetadata.LockState

extends java.lang.Enum<FileMetadata.LockState>

Enum Constant Summary
`LOCKED_IN_CURRENT_SESSION`
`LOCKED_IN_OTHER_SESSION`
`UNLOCKED`

Method Summary
`static FileMetadata.LockState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileMetadata.LockState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCKED_IN_CURRENT_SESSION

    public static final FileMetadata.LockState LOCKED_IN_CURRENT_SESSION

### LOCKED_IN_OTHER_SESSION

    public static final FileMetadata.LockState LOCKED_IN_OTHER_SESSION

### UNLOCKED

    public static final FileMetadata.LockState UNLOCKED

Method Detail

### values

    public static FileMetadata.LockState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileMetadata.LockState c : FileMetadata.LockState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileMetadata.LockState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD